User Signup
POST
/auth/signup
const url = 'https://api.exolink.cloud/auth/signup';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"username":"user@example.com","givenName":"John","familyName":"Doe","invitation":"example","language":"de"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.exolink.cloud/auth/signup \ --header 'Content-Type: application/json' \ --data '{ "username": "user@example.com", "givenName": "John", "familyName": "Doe", "invitation": "example", "language": "de" }'Register a new user account.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
username
required
User’s email address
string format: email
Example
user@example.comgivenName
required
User’s first name
string
Example
JohnfamilyName
required
User’s last name
string
Example
Doeinvitation
Optional invitation token
string
language
Preferred language
string
Responses
Section titled “Responses”User registered successfully
Media typeapplication/json
Empty object
object
Example generated
{}Missing, invalid or expired credentials
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}Validation or verification failed
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Missing parameter: displayName", "errorCode": "ERR_API_VALIDATION_FAILED"}A dependency prevents the request
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "User is last owner of tenant 'abc123'", "errorCode": "ERR_API_FAILED_DEPENDENCY"}